<div class="front_page_section front_page_section_about<?php
	$wanderic_scheme = wanderic_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $wanderic_scheme ) && ! wanderic_is_inherit( $wanderic_scheme ) ) {
		echo ' scheme_' . esc_attr( $wanderic_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( wanderic_get_theme_option( 'front_page_about_paddings' ) );
	if ( wanderic_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$wanderic_css      = '';
		$wanderic_bg_image = wanderic_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $wanderic_bg_image ) ) {
			$wanderic_css .= 'background-image: url(' . esc_url( wanderic_get_attachment_url( $wanderic_bg_image ) ) . ');';
		}
		if ( ! empty( $wanderic_css ) ) {
			echo ' style="' . esc_attr( $wanderic_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$wanderic_anchor_icon = wanderic_get_theme_option( 'front_page_about_anchor_icon' );
	$wanderic_anchor_text = wanderic_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $wanderic_anchor_icon ) || ! empty( $wanderic_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $wanderic_anchor_icon ) ? ' icon="' . esc_attr( $wanderic_anchor_icon ) . '"' : '' )
									. ( ! empty( $wanderic_anchor_text ) ? ' title="' . esc_attr( $wanderic_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( wanderic_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' wanderic-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$wanderic_css           = '';
			$wanderic_bg_mask       = wanderic_get_theme_option( 'front_page_about_bg_mask' );
			$wanderic_bg_color_type = wanderic_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $wanderic_bg_color_type ) {
				$wanderic_bg_color = wanderic_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $wanderic_bg_color_type ) {
				$wanderic_bg_color = wanderic_get_scheme_color( 'bg_color', $wanderic_scheme );
			} else {
				$wanderic_bg_color = '';
			}
			if ( ! empty( $wanderic_bg_color ) && $wanderic_bg_mask > 0 ) {
				$wanderic_css .= 'background-color: ' . esc_attr(
					1 == $wanderic_bg_mask ? $wanderic_bg_color : wanderic_hex2rgba( $wanderic_bg_color, $wanderic_bg_mask )
				) . ';';
			}
			if ( ! empty( $wanderic_css ) ) {
				echo ' style="' . esc_attr( $wanderic_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$wanderic_caption = wanderic_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $wanderic_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $wanderic_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $wanderic_caption, 'wanderic_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$wanderic_description = wanderic_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $wanderic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $wanderic_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $wanderic_description ), 'wanderic_kses_content' ); ?></div>
				<?php
			}

			// Content
			$wanderic_content = wanderic_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $wanderic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $wanderic_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$wanderic_page_content_mask = '%%CONTENT%%';
					if ( strpos( $wanderic_content, $wanderic_page_content_mask ) !== false ) {
						$wanderic_content = preg_replace(
							'/(\<p\>\s*)?' . $wanderic_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$wanderic_content
						);
					}
					wanderic_show_layout( $wanderic_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
