<div class="front_page_section front_page_section_contacts<?php
	$wanderic_scheme = wanderic_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $wanderic_scheme ) && ! wanderic_is_inherit( $wanderic_scheme ) ) {
		echo ' scheme_' . esc_attr( $wanderic_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( wanderic_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( wanderic_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$wanderic_css      = '';
		$wanderic_bg_image = wanderic_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $wanderic_bg_image ) ) {
			$wanderic_css .= 'background-image: url(' . esc_url( wanderic_get_attachment_url( $wanderic_bg_image ) ) . ');';
		}
		if ( ! empty( $wanderic_css ) ) {
			echo ' style="' . esc_attr( $wanderic_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$wanderic_anchor_icon = wanderic_get_theme_option( 'front_page_contacts_anchor_icon' );
	$wanderic_anchor_text = wanderic_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $wanderic_anchor_icon ) || ! empty( $wanderic_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $wanderic_anchor_icon ) ? ' icon="' . esc_attr( $wanderic_anchor_icon ) . '"' : '' )
									. ( ! empty( $wanderic_anchor_text ) ? ' title="' . esc_attr( $wanderic_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( wanderic_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' wanderic-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$wanderic_css      = '';
			$wanderic_bg_mask  = wanderic_get_theme_option( 'front_page_contacts_bg_mask' );
			$wanderic_bg_color_type = wanderic_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $wanderic_bg_color_type ) {
				$wanderic_bg_color = wanderic_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $wanderic_bg_color_type ) {
				$wanderic_bg_color = wanderic_get_scheme_color( 'bg_color', $wanderic_scheme );
			} else {
				$wanderic_bg_color = '';
			}
			if ( ! empty( $wanderic_bg_color ) && $wanderic_bg_mask > 0 ) {
				$wanderic_css .= 'background-color: ' . esc_attr(
					1 == $wanderic_bg_mask ? $wanderic_bg_color : wanderic_hex2rgba( $wanderic_bg_color, $wanderic_bg_mask )
				) . ';';
			}
			if ( ! empty( $wanderic_css ) ) {
				echo ' style="' . esc_attr( $wanderic_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$wanderic_caption     = wanderic_get_theme_option( 'front_page_contacts_caption' );
			$wanderic_description = wanderic_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $wanderic_caption ) || ! empty( $wanderic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $wanderic_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $wanderic_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $wanderic_caption, 'wanderic_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $wanderic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $wanderic_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $wanderic_description ), 'wanderic_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$wanderic_content = wanderic_get_theme_option( 'front_page_contacts_content' );
			$wanderic_layout  = wanderic_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $wanderic_layout && ( ! empty( $wanderic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $wanderic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $wanderic_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $wanderic_content, 'wanderic_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $wanderic_layout && ( ! empty( $wanderic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$wanderic_sc = wanderic_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $wanderic_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $wanderic_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					wanderic_show_layout( do_shortcode( $wanderic_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $wanderic_layout && ( ! empty( $wanderic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
