<?php
/**
 * The template to display default site footer
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.10
 */

$wanderic_footer_id = wanderic_get_custom_footer_id();
$wanderic_footer_meta = get_post_meta( $wanderic_footer_id, 'trx_addons_options', true );
if ( ! empty( $wanderic_footer_meta['margin'] ) ) {
	wanderic_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( wanderic_prepare_css_value( $wanderic_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $wanderic_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $wanderic_footer_id ) ) ); ?>
						<?php
						$wanderic_footer_scheme = wanderic_get_theme_option( 'footer_scheme' );
						if ( ! empty( $wanderic_footer_scheme ) && ! wanderic_is_inherit( $wanderic_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $wanderic_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'wanderic_action_show_layout', $wanderic_footer_id );
	?>
</footer><!-- /.footer_wrap -->
