<?php
/**
 * The template to display default site footer
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.10
 */

?>
<footer class="footer_wrap footer_default
<?php
$wanderic_footer_scheme = wanderic_get_theme_option( 'footer_scheme' );
if ( ! empty( $wanderic_footer_scheme ) && ! wanderic_is_inherit( $wanderic_footer_scheme  ) ) {
	echo ' scheme_' . esc_attr( $wanderic_footer_scheme );
}
?>
				">
	<?php

	// Footer widgets area
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/footer-widgets' ) );

	// Logo
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/footer-logo' ) );

	// Socials
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/footer-socials' ) );

	// Menu
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/footer-menu' ) );

	// Copyright area
	get_template_part( apply_filters( 'wanderic_filter_get_template_part', 'templates/footer-copyright' ) );

	?>
</footer><!-- /.footer_wrap -->
