<?php
/**
 * The template to display the background video in the header
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.14
 */
$wanderic_header_video = wanderic_get_header_video();
$wanderic_embed_video  = '';
if ( ! empty( $wanderic_header_video ) && ! wanderic_is_from_uploads( $wanderic_header_video ) ) {
	if ( wanderic_is_youtube_url( $wanderic_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $wanderic_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php wanderic_show_layout( wanderic_get_embed_video( $wanderic_header_video ) ); ?></div>
		<?php
	}
}
