<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WANDERIC
 * @since WANDERIC 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$wanderic_copyright_scheme = wanderic_get_theme_option( 'copyright_scheme' );
if ( ! empty( $wanderic_copyright_scheme ) && ! wanderic_is_inherit( $wanderic_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $wanderic_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$wanderic_copyright = wanderic_get_theme_option( 'copyright' );
			if ( ! empty( $wanderic_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$wanderic_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $wanderic_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$wanderic_copyright = wanderic_prepare_macros( $wanderic_copyright );
				// Display copyright
				echo wp_kses( nl2br( $wanderic_copyright ), 'wanderic_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
