<?php
/**
 * The template 'Style 1' to displaying related posts
 *
 * @package WANDERIC
 * @since WANDERIC 1.0
 */

$wanderic_link        = get_permalink();
$wanderic_post_format = get_post_format();
$wanderic_post_format = empty( $wanderic_post_format ) ? 'standard' : str_replace( 'post-format-', '', $wanderic_post_format );
?><div id="post-<?php the_ID(); ?>" <?php post_class( 'related_item post_format_' . esc_attr( $wanderic_post_format ) ); ?> data-post-id="<?php the_ID(); ?>">
	<?php
	wanderic_show_post_featured(
		array(
			'thumb_size'    => apply_filters( 'wanderic_filter_related_thumb_size', wanderic_get_thumb_size( (int) wanderic_get_theme_option( 'related_posts' ) == 1 ? 'big-square' : 'med-square' ) ),
			'post_info'     => !in_array( $wanderic_post_format, array( 'audio' )) ? '<div class="post_header entry-header">'
                                    . '<div class="top_meta_wrap">'
                                    . ( !in_array( $wanderic_post_format, array( 'video' ) )
                                        ? wanderic_show_post_meta(array('components' => 'rating','seo' => false,'echo' => false,'class' 	 => 'rating'))
                                        : '' )
									. '<div class="post_categories">' . wp_kses( wanderic_get_post_categories( '' ), 'wanderic_kses_content' ) . '</div>'
                                    . '</div>'
									. '<h4 class="post_title entry-title"><a href="' . esc_url( $wanderic_link ) . '">'
										. wp_kses_post( '' == get_the_title() ? esc_html__( '- No title -', 'wanderic' ) : get_the_title() )
									. '</a></h4>'
									. ( in_array( get_post_type(), array( 'post', 'attachment' ) )
											? wanderic_show_post_meta(array('components' => 'author,date,comments','seo' => false,'echo' => false,))
											: '' )
								. '</div>' : '',
            'hover'         => 'icon',
            'thumb_ratio'   => '16:17',
            'thumb_bg'      => true,
            'popup'         => true,
		)
	);
	?>
</div>
